@echo off
echo off
cls
rem  **************************************************************************
rem  **                                                                      **
rem  **         Installation Batch File:                                     **
rem  **     GraphicsENGINE Graphics Accelerator                              **
rem  **                     and                                              **
rem  **                   Cadvance                                           **
rem  **                                                                      **
rem  **************************************************************************
echo ACTIX Systems, Inc.
echo Device Driver Install Disk
echo for Cadvance.
echo .

if NOT EXIST install.bat goto Continue

c:
cd\
echo Installing Cadvance driver on drive C:
goto inst_cdv
:Continue
echo Installing Cadvance driver on the default drive.
:inst_cdv
if NOT EXIST \cad\cad.exe goto USAGE
rem install the CADVANCE files here...
echo Please wait for a moment while the files are transfering...
echo .
copy %id%%ip%cdv911.drv \cad\gs.drv
echo .
echo File transfers completed. Cadvance configuration is completed.
echo .
echo Cadvance driver installation completed.
goto All_Done
:USAGE
echo .
echo In order to be installed correctly, the following conditions must
echo be true:
echo .
echo   *   This install disk must be in drive %id%.
echo   *   The CURRENT drive must contain Cadvance.
echo .
echo No other exceptions are allowed by this installation program.
echo .
echo To install in non-standard directories, please refer to the instructions
echo in this installation program. (%id%%ip%INSTALL.BAT)
goto end
:All_Done
rem Here we will tell the user that installation is completed.
rem Alex Jen
echo GraphicsENGINE driver installation is now completed!
:end
pause
